#ifndef __SEPARATOR_H__
#define __SEPARATOR_H__

#include "menunode.h"

IceWM_CM_BEGIN_NAMESPACE

class Separator : public MenuNode {
public:
    virtual const char* get_label	(void) { return "-=-=-=-=-=-=-=-"; }
    virtual ostream& store		(ostream&	os);
    
protected:
    virtual unsigned prop_count		(void) { return 0; }
    virtual PropValue& property		(const unsigned	index)
    					{ return property_none (); }
    virtual GtkWidget* get_top_panel	(void) { return NULL; }
    
    virtual const char* get_title	(void) { return _("Separator"); }
};

inline ostream& Separator::store	(ostream&	os) {
    return os << "separator";
}

IceWM_CM_END_NAMESPACE

#endif
