#!/bin/bash

release=$1
blacklist=/tmp/${release}.blacklist

find ${release} -path \*.xcf.bz2 > ${blacklist}
find ${release}/doc/www.newplanetsoftware.com >> ${blacklist}
find ${release}/src/capplet >> ${blacklist}

tar -cvf ${release}.tar ${release} -X ${blacklist}
rm -f ${blacklist}

gzip < ${release}.tar > ${release}.tar.gz
bzip2 < ${release}.tar > ${release}.tar.bz2
rm -f ${release}.tar

gpg -ab ${release}.tar.gz
gpg -ab ${release}.tar.bz2

