#ifndef __THEMES_ROOT_H__
#define __THEMES_ROOT_H__

#include "config.h"
#include "rootnode.h"

IceWM_CM_BEGIN_NAMESPACE

class ThemesRoot : public RootNode {
public:
    virtual const char* get_label	(void) { return _("Themes"); }
    virtual GtkWidget* get_editor	(void) { return gtk_label_new
	("Theme browser + editor (Notebook -> WinDoze/Display-Props)"); }
    virtual void load			(Location	location,
			 		 const char*	custom_file = 0) { }
    virtual void store			(Location	location,
			 		 const char*	custom_file = 0) { }
};

IceWM_CM_END_NAMESPACE

#endif
