#ifndef __GTK_90_DEGREE_H__
#define __GTK_90_DEGREE_H__

#ifndef __GTK_H__
#include <gtk/gtk.h>
#endif /* __GTK_H__ */

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#define GTK_90_DEGREE(obj) \
    GTK_CHECK_CAST (obj, gtk_90_degree_get_type (), Gtk90Degree)
#define GTK_90_DEGREE_CLASS(class) \
    GTK_CHECK_CLASS_CAST (class, gtk_90_degree_get_type (), Gtk90DegreeClass)
#define GTK_IS_90_DEGREE(obj) \
    GTK_CHECK_TYPE (obj, gtk_90_degree_get_type ())

typedef struct _Gtk90Degree		Gtk90Degree;
typedef struct _Gtk90DegreeClass	Gtk90DegreeClass;

struct _Gtk90Degree {
    GtkWidget	widget;
    gchar	*text;
};

struct _Gtk90DegreeClass {
    GtkWidgetClass parent_class;
};

GtkType gtk_90_degree_get_type		(void);
GtkWidget* gtk_90_degree_new		(const gchar*	text);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __GTK_90_DEGREE_H__ */
